Description

The attached patch implements a global setting that allows to select which columns (issue attributes) should be rendered in the list of
related and sub-issues on issues#show.

This feature has been previously implemented (with additional configurability on the project level, which we skipped for this patch) by
AlphaNodes' redmine_issue_view_columns plugin. At Planio we think that the possibility to configure this on a global level is useful
enough to be part of vanilla Redmine, with the option to expand this to the project level once we implement a generalized scheme for
such project-specific setting-overrides.

The patch also adds a setting to toggle display of table headers, which may be useful in case ambiguous columns are shown (i.e.,
multiple date or user fields).

Related issues:

Related to Redmine - Feature #17538: Display priority of related issues Closed
Related to Redmine - Defect #41828: In mobile view, delete relation svg icon ... Closed
Related to Redmine - Patch #15153: Show more information about subtasks New
Related to Redmine - Feature #11969: Subtask display fields New

Associated revisions

Revision 23596 - 2025-04-02 12:14 - Go MAEDA

Configurable columns for related and sub issues lists (#42477).

Patch by Jens Kramer (user:jkraemer).

Revision 23610 - 2025-04-08 11:51 - Go MAEDA
Update locales (#42477).

History

#1 - 2025-03-26 13:42 - Go MAEDA
- File fix-for-patch-42477.patch added

- Target version set to Candidate for next major release

Thank you for submitting the patch that implements the useful feature.
After applying the patch, | observed some test failures. Those errors can be fixed by applying the attached patch on top of the original one.

Failure:
SettingsControllerTest#test_get_edit_should_preselect_default_issue_list_columns [test/functional/settings_con
troller_test.rb:62]:
Expected exactly 0 elements matching "option[value=tracker]", found 1.
Expected: 0
Actual: 1

bin/rails test test/functional/settings_controller_test.rb:47

Error:

IssuesHelperTest#test_render_issue_relations:

NoMethodError: undefined method "column_content' for an instance of IssuesHelperTest
app/helpers/issues_helper.rb:246:in “block (2 levels) in render_issue_relations'
app/helpers/issues_helper.rb:245:in “each’
app/helpers/issues_helper.rb:245:in ‘block in render_issue_relations'
app/helpers/issues_helper.rb:220:in “each'
app/helpers/issues_helper.rb:220:in "render_issue_relations'
test/helpers/issues_helper_test.rb:404:in “test_render_issue_relations'

bin/rails test test/helpers/issues_helper_test.rb:397

#2 - 2025-03-26 14:11 - Go MAEDA
- Related to Feature #17538: Display priority of related issues added

#3 - 2025-03-27 05:07 - Go MAEDA
- Tracker changed from Patch to Feature

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

#4 - 2025-04-02 12:15 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23596. Thank you for your contribution.

#5 - 2025-04-07 22:30 - Marius BALTEANU

- Related to Defect #41828: In mobile view, delete relation svg icon in '‘Related Issues' on an issue page, overflow text added

#6 - 2025-04-23 06:51 - Go MAEDA
- Related to Patch #15153: Show more information about subtasks added

#7 - 2025-04-23 06:53 - Go MAEDA
- Related to Feature #11969: Subtask display fields added

Files
0001-Configurable-columns-for-related-and-sub-issues-list.patch 11.1 KB 2025-03-25 Jens Kramer
fix-for-patch-42477.patch 1.45 KB 2025-03-26 Go MAEDA
